Bug 152708 - New port: graphics/zbar barcode reader
Summary: New port: graphics/zbar barcode reader
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-30 16:30 UTC by Oliver Heesakkers
Modified: 2010-12-14 14:51 UTC (History)
0 users

See Also:


Attachments
file.shar (5.55 KB, text/plain)
2010-11-30 16:30 UTC, Oliver Heesakkers
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Heesakkers 2010-11-30 16:30:12 UTC
I want to introduce the zbar barcode reader to the ports. When build with the ImageMagick-option this port produces the zbarimg cli-program which reads a file and outputs the message encoded in the contained (QR) barcode.

When Merkaartor 0.17 is released I want to update that port to optionally use this port to enable the use of "walking papers" in Merkaartor.
Comment 1 Ganael LAPLANCHE freebsd_committer 2010-12-06 10:47:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

I will take care of it.
Comment 2 dfilter freebsd_committer 2010-12-14 14:39:56 UTC
martymac    2010-12-14 14:39:50 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/zbar        Makefile distinfo pkg-descr pkg-plist 
    graphics/zbar/files  patch-Makefile.in 
  Log:
  ZBar is an open source software suite for reading bar codes from various
  sources, such as video streams, image files and raw intensity sensors. It
  supports many popular symbologies (types of bar codes) including EAN-13/UPC-A,
  UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
  
  PR:             ports/152708
  Submitted by:   Oliver Heesakkers <dev2 at heesakkers.info>
  pproved by:     ehaupt (mentor)
  
  Revision  Changes    Path
  1.1367    +1 -0      ports/graphics/Makefile
  1.1       +106 -0    ports/graphics/zbar/Makefile (new)
  1.1       +2 -0      ports/graphics/zbar/distinfo (new)
  1.1       +11 -0     ports/graphics/zbar/files/patch-Makefile.in (new)
  1.1       +16 -0     ports/graphics/zbar/pkg-descr (new)
  1.1       +45 -0     ports/graphics/zbar/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ganael LAPLANCHE freebsd_committer 2010-12-14 14:51:48 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!